%bcond_with mem_tests

Summary:	A collection of multi-dimensional data structures and indexing algorithms
Name:		mdds
Version:	1.2.1
Release:	3
License:	MIT
Group:		Development/C++
Url:		http://code.google.com/p/multidimalgorithm/
Source0:	http://kohei.us/files/%{name}/src/%{name}-%{version}.tar.bz2
BuildRequires:	boost-devel
%if %{with mem_tests}
BuildRequires:	valgrind
%endif
BuildArch:	noarch

%description
A collection of multi-dimensional data structures and indexing algorithms.

It implements the following data structures:
* segment tree
* flat segment tree
* rectangle set
* point quad tree
* mixed type matrix

#----------------------------------------------------------------------------

%package devel
Summary:	Headers for %{name}
Group:		Development/C++
Requires:	boost-devel

%description devel
Headers for %{name}.

%files devel
%doc AUTHORS NEWS README.md
%{_includedir}/mdds
%{_datadir}/pkgconfig/mdds-1.2.pc

#----------------------------------------------------------------------------

%prep
%setup -q
# this is only used in tests
sed -i -e '/^CPPFLAGS/s/-Wall -Os/-Wall %{optflags}/' Makefile* configure*

%build
%configure2_5x
%make

%install
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_datadir}/pkgconfig
mkdir %{buildroot}%{_includedir}/mdds
cp -pr include/mdds/* %{buildroot}%{_includedir}/mdds
cp misc/mdds-1.2.pc %{buildroot}%{_datadir}/pkgconfig

%check
for t in flat_segment_tree_test point_quad_tree_test rectangle_set_test segment_tree_test; do
    make $t
done
%if %{with mem_tests}
    for t in flat_segment_tree_test point_quad_tree_test rectangle_set_test segment_tree_test; do
        make $t._mem.mem
    done
%endif


%changelog

* Tue Mar 21 2017 alzim <alzim@bk.ru> 1.2.1-3
- (afd2f42) Merge pull request #2 from alzim/mdds:rosa2014.1
- (afd2f42) New version 1.2.1


